  function targMap = targDataMap(),

  ;%***********************
  ;% Create Parameter Map *
  ;%***********************
      
    nTotData      = 0; %add to this count as we go
    nTotSects     = 5;
    sectIdxOffset = 0;
    
    ;%
    ;% Define dummy sections & preallocate arrays
    ;%
    dumSection.nData = -1;  
    dumSection.data  = [];
    
    dumData.logicalSrcIdx = -1;
    dumData.dtTransOffset = -1;
    
    ;%
    ;% Init/prealloc paramMap
    ;%
    paramMap.nSections           = nTotSects;
    paramMap.sectIdxOffset       = sectIdxOffset;
      paramMap.sections(nTotSects) = dumSection; %prealloc
    paramMap.nTotData            = -1;
    
    ;%
    ;% Auto data (enkodery_new2_P)
    ;%
      section.nData     = 44;
      section.data(44)  = dumData; %prealloc
      
	  ;% enkodery_new2_P.ckfi
	  section.data(1).logicalSrcIdx = 0;
	  section.data(1).dtTransOffset = 0;
	
	  ;% enkodery_new2_P.dd
	  section.data(2).logicalSrcIdx = 1;
	  section.data(2).dtTransOffset = 1;
	
	  ;% enkodery_new2_P.h_norm
	  section.data(3).logicalSrcIdx = 2;
	  section.data(3).dtTransOffset = 2;
	
	  ;% enkodery_new2_P.v_inv
	  section.data(4).logicalSrcIdx = 3;
	  section.data(4).dtTransOffset = 102;
	
	  ;% enkodery_new2_P.PIDController_D
	  section.data(5).logicalSrcIdx = 4;
	  section.data(5).dtTransOffset = 202;
	
	  ;% enkodery_new2_P.PWM_Duty
	  section.data(6).logicalSrcIdx = 5;
	  section.data(6).dtTransOffset = 203;
	
	  ;% enkodery_new2_P.PWM_DutyFinalValue
	  section.data(7).logicalSrcIdx = 6;
	  section.data(7).dtTransOffset = 204;
	
	  ;% enkodery_new2_P.BRAKE_FinalValue
	  section.data(8).logicalSrcIdx = 7;
	  section.data(8).dtTransOffset = 205;
	
	  ;% enkodery_new2_P.DIR_FinalValue
	  section.data(9).logicalSrcIdx = 8;
	  section.data(9).dtTransOffset = 206;
	
	  ;% enkodery_new2_P.PWM_Frequency
	  section.data(10).logicalSrcIdx = 9;
	  section.data(10).dtTransOffset = 207;
	
	  ;% enkodery_new2_P.PIDController_I
	  section.data(11).logicalSrcIdx = 11;
	  section.data(11).dtTransOffset = 208;
	
	  ;% enkodery_new2_P.DiscreteDerivative1_ICPrevScaledInput
	  section.data(12).logicalSrcIdx = 12;
	  section.data(12).dtTransOffset = 209;
	
	  ;% enkodery_new2_P.DiscreteDerivative3_ICPrevScaledInput
	  section.data(13).logicalSrcIdx = 13;
	  section.data(13).dtTransOffset = 210;
	
	  ;% enkodery_new2_P.DiscreteDerivative2_ICPrevScaledInput
	  section.data(14).logicalSrcIdx = 14;
	  section.data(14).dtTransOffset = 211;
	
	  ;% enkodery_new2_P.DiscreteDerivative4_ICPrevScaledInput
	  section.data(15).logicalSrcIdx = 15;
	  section.data(15).dtTransOffset = 212;
	
	  ;% enkodery_new2_P.DiscreteDerivative5_ICPrevScaledInput
	  section.data(16).logicalSrcIdx = 16;
	  section.data(16).dtTransOffset = 213;
	
	  ;% enkodery_new2_P.BRAKE_InitialValue
	  section.data(17).logicalSrcIdx = 17;
	  section.data(17).dtTransOffset = 214;
	
	  ;% enkodery_new2_P.DIR_InitialValue
	  section.data(18).logicalSrcIdx = 18;
	  section.data(18).dtTransOffset = 215;
	
	  ;% enkodery_new2_P.Motor_InputFilter
	  section.data(19).logicalSrcIdx = 19;
	  section.data(19).dtTransOffset = 216;
	
	  ;% enkodery_new2_P.Kyvadlo1_InputFilter
	  section.data(20).logicalSrcIdx = 20;
	  section.data(20).dtTransOffset = 217;
	
	  ;% enkodery_new2_P.Kyvadlo2_InputFilter
	  section.data(21).logicalSrcIdx = 21;
	  section.data(21).dtTransOffset = 218;
	
	  ;% enkodery_new2_P.AnalogInput1_MaxMissedTicks
	  section.data(22).logicalSrcIdx = 22;
	  section.data(22).dtTransOffset = 219;
	
	  ;% enkodery_new2_P.Motor_MaxMissedTicks
	  section.data(23).logicalSrcIdx = 23;
	  section.data(23).dtTransOffset = 220;
	
	  ;% enkodery_new2_P.Kyvadlo1_MaxMissedTicks
	  section.data(24).logicalSrcIdx = 24;
	  section.data(24).dtTransOffset = 221;
	
	  ;% enkodery_new2_P.Kyvadlo2_MaxMissedTicks
	  section.data(25).logicalSrcIdx = 25;
	  section.data(25).dtTransOffset = 222;
	
	  ;% enkodery_new2_P.AnalogInput_MaxMissedTicks
	  section.data(26).logicalSrcIdx = 26;
	  section.data(26).dtTransOffset = 223;
	
	  ;% enkodery_new2_P.DigitalInput_MaxMissedTicks
	  section.data(27).logicalSrcIdx = 27;
	  section.data(27).dtTransOffset = 224;
	
	  ;% enkodery_new2_P.DigitalInput1_MaxMissedTicks
	  section.data(28).logicalSrcIdx = 28;
	  section.data(28).dtTransOffset = 225;
	
	  ;% enkodery_new2_P.BRAKE_MaxMissedTicks
	  section.data(29).logicalSrcIdx = 29;
	  section.data(29).dtTransOffset = 226;
	
	  ;% enkodery_new2_P.DIR_MaxMissedTicks
	  section.data(30).logicalSrcIdx = 30;
	  section.data(30).dtTransOffset = 227;
	
	  ;% enkodery_new2_P.PWM_MaxMissedTicks
	  section.data(31).logicalSrcIdx = 31;
	  section.data(31).dtTransOffset = 228;
	
	  ;% enkodery_new2_P.PIDController_N
	  section.data(32).logicalSrcIdx = 32;
	  section.data(32).dtTransOffset = 229;
	
	  ;% enkodery_new2_P.PIDController_P
	  section.data(33).logicalSrcIdx = 33;
	  section.data(33).dtTransOffset = 230;
	
	  ;% enkodery_new2_P.AnalogInput1_YieldWhenWaiting
	  section.data(34).logicalSrcIdx = 34;
	  section.data(34).dtTransOffset = 231;
	
	  ;% enkodery_new2_P.Motor_YieldWhenWaiting
	  section.data(35).logicalSrcIdx = 35;
	  section.data(35).dtTransOffset = 232;
	
	  ;% enkodery_new2_P.Kyvadlo1_YieldWhenWaiting
	  section.data(36).logicalSrcIdx = 36;
	  section.data(36).dtTransOffset = 233;
	
	  ;% enkodery_new2_P.Kyvadlo2_YieldWhenWaiting
	  section.data(37).logicalSrcIdx = 37;
	  section.data(37).dtTransOffset = 234;
	
	  ;% enkodery_new2_P.AnalogInput_YieldWhenWaiting
	  section.data(38).logicalSrcIdx = 38;
	  section.data(38).dtTransOffset = 235;
	
	  ;% enkodery_new2_P.DigitalInput_YieldWhenWaiting
	  section.data(39).logicalSrcIdx = 39;
	  section.data(39).dtTransOffset = 236;
	
	  ;% enkodery_new2_P.DigitalInput1_YieldWhenWaiting
	  section.data(40).logicalSrcIdx = 40;
	  section.data(40).dtTransOffset = 237;
	
	  ;% enkodery_new2_P.BRAKE_YieldWhenWaiting
	  section.data(41).logicalSrcIdx = 41;
	  section.data(41).dtTransOffset = 238;
	
	  ;% enkodery_new2_P.DIR_YieldWhenWaiting
	  section.data(42).logicalSrcIdx = 42;
	  section.data(42).dtTransOffset = 239;
	
	  ;% enkodery_new2_P.PWM_YieldWhenWaiting
	  section.data(43).logicalSrcIdx = 43;
	  section.data(43).dtTransOffset = 240;
	
	  ;% enkodery_new2_P.CompareToConstant_const
	  section.data(44).logicalSrcIdx = 44;
	  section.data(44).dtTransOffset = 241;
	
      nTotData = nTotData + section.nData;
      paramMap.sections(1) = section;
      clear section
      
      section.nData     = 18;
      section.data(18)  = dumData; %prealloc
      
	  ;% enkodery_new2_P.DigitalInput_BitMode
	  section.data(1).logicalSrcIdx = 45;
	  section.data(1).dtTransOffset = 0;
	
	  ;% enkodery_new2_P.DigitalInput1_BitMode
	  section.data(2).logicalSrcIdx = 46;
	  section.data(2).dtTransOffset = 1;
	
	  ;% enkodery_new2_P.BRAKE_BitMode
	  section.data(3).logicalSrcIdx = 47;
	  section.data(3).dtTransOffset = 2;
	
	  ;% enkodery_new2_P.DIR_BitMode
	  section.data(4).logicalSrcIdx = 48;
	  section.data(4).dtTransOffset = 3;
	
	  ;% enkodery_new2_P.AnalogInput1_Channels
	  section.data(5).logicalSrcIdx = 49;
	  section.data(5).dtTransOffset = 4;
	
	  ;% enkodery_new2_P.Motor_Channels
	  section.data(6).logicalSrcIdx = 50;
	  section.data(6).dtTransOffset = 5;
	
	  ;% enkodery_new2_P.Kyvadlo1_Channels
	  section.data(7).logicalSrcIdx = 51;
	  section.data(7).dtTransOffset = 6;
	
	  ;% enkodery_new2_P.Kyvadlo2_Channels
	  section.data(8).logicalSrcIdx = 52;
	  section.data(8).dtTransOffset = 7;
	
	  ;% enkodery_new2_P.AnalogInput_Channels
	  section.data(9).logicalSrcIdx = 53;
	  section.data(9).dtTransOffset = 8;
	
	  ;% enkodery_new2_P.DigitalInput_Channels
	  section.data(10).logicalSrcIdx = 54;
	  section.data(10).dtTransOffset = 9;
	
	  ;% enkodery_new2_P.DigitalInput1_Channels
	  section.data(11).logicalSrcIdx = 55;
	  section.data(11).dtTransOffset = 10;
	
	  ;% enkodery_new2_P.BRAKE_Channels
	  section.data(12).logicalSrcIdx = 56;
	  section.data(12).dtTransOffset = 11;
	
	  ;% enkodery_new2_P.DIR_Channels
	  section.data(13).logicalSrcIdx = 57;
	  section.data(13).dtTransOffset = 12;
	
	  ;% enkodery_new2_P.PWM_Channels
	  section.data(14).logicalSrcIdx = 58;
	  section.data(14).dtTransOffset = 13;
	
	  ;% enkodery_new2_P.AnalogInput1_RangeMode
	  section.data(15).logicalSrcIdx = 59;
	  section.data(15).dtTransOffset = 14;
	
	  ;% enkodery_new2_P.AnalogInput_RangeMode
	  section.data(16).logicalSrcIdx = 60;
	  section.data(16).dtTransOffset = 15;
	
	  ;% enkodery_new2_P.AnalogInput1_VoltRange
	  section.data(17).logicalSrcIdx = 61;
	  section.data(17).dtTransOffset = 16;
	
	  ;% enkodery_new2_P.AnalogInput_VoltRange
	  section.data(18).logicalSrcIdx = 62;
	  section.data(18).dtTransOffset = 17;
	
      nTotData = nTotData + section.nData;
      paramMap.sections(2) = section;
      clear section
      
      section.nData     = 51;
      section.data(51)  = dumData; %prealloc
      
	  ;% enkodery_new2_P.C_Gain
	  section.data(1).logicalSrcIdx = 63;
	  section.data(1).dtTransOffset = 0;
	
	  ;% enkodery_new2_P.D_Gain
	  section.data(2).logicalSrcIdx = 64;
	  section.data(2).dtTransOffset = 1;
	
	  ;% enkodery_new2_P.Saturation1_UpperSat
	  section.data(3).logicalSrcIdx = 65;
	  section.data(3).dtTransOffset = 2;
	
	  ;% enkodery_new2_P.Saturation1_LowerSat
	  section.data(4).logicalSrcIdx = 66;
	  section.data(4).dtTransOffset = 3;
	
	  ;% enkodery_new2_P.Delay_x_InitialCondition
	  section.data(5).logicalSrcIdx = 67;
	  section.data(5).dtTransOffset = 4;
	
	  ;% enkodery_new2_P.Constant2_Value
	  section.data(6).logicalSrcIdx = 68;
	  section.data(6).dtTransOffset = 5;
	
	  ;% enkodery_new2_P.Integrator_IC
	  section.data(7).logicalSrcIdx = 69;
	  section.data(7).dtTransOffset = 6;
	
	  ;% enkodery_new2_P.Filter_IC
	  section.data(8).logicalSrcIdx = 70;
	  section.data(8).dtTransOffset = 7;
	
	  ;% enkodery_new2_P.Constant1_Value
	  section.data(9).logicalSrcIdx = 71;
	  section.data(9).dtTransOffset = 8;
	
	  ;% enkodery_new2_P.Poloha_Gain
	  section.data(10).logicalSrcIdx = 72;
	  section.data(10).dtTransOffset = 9;
	
	  ;% enkodery_new2_P.Saturation2_UpperSat
	  section.data(11).logicalSrcIdx = 73;
	  section.data(11).dtTransOffset = 10;
	
	  ;% enkodery_new2_P.Saturation2_LowerSat
	  section.data(12).logicalSrcIdx = 74;
	  section.data(12).dtTransOffset = 11;
	
	  ;% enkodery_new2_P.Constant_Value
	  section.data(13).logicalSrcIdx = 75;
	  section.data(13).dtTransOffset = 12;
	
	  ;% enkodery_new2_P.Constant_Value_o
	  section.data(14).logicalSrcIdx = 76;
	  section.data(14).dtTransOffset = 13;
	
	  ;% enkodery_new2_P.helvychlenkyvadla_Gain
	  section.data(15).logicalSrcIdx = 77;
	  section.data(15).dtTransOffset = 14;
	
	  ;% enkodery_new2_P.TSamp_WtEt
	  section.data(16).logicalSrcIdx = 78;
	  section.data(16).dtTransOffset = 15;
	
	  ;% enkodery_new2_P.D_Gain_m
	  section.data(17).logicalSrcIdx = 79;
	  section.data(17).dtTransOffset = 16;
	
	  ;% enkodery_new2_P.Delay_x_InitialCondition_l
	  section.data(18).logicalSrcIdx = 80;
	  section.data(18).dtTransOffset = 17;
	
	  ;% enkodery_new2_P.C_Gain_l
	  section.data(19).logicalSrcIdx = 81;
	  section.data(19).dtTransOffset = 18;
	
	  ;% enkodery_new2_P.helvychlenkyvadla1_Gain
	  section.data(20).logicalSrcIdx = 82;
	  section.data(20).dtTransOffset = 19;
	
	  ;% enkodery_new2_P.TSamp_WtEt_i
	  section.data(21).logicalSrcIdx = 83;
	  section.data(21).dtTransOffset = 20;
	
	  ;% enkodery_new2_P.D_Gain_ml
	  section.data(22).logicalSrcIdx = 84;
	  section.data(22).dtTransOffset = 21;
	
	  ;% enkodery_new2_P.Delay_x_InitialCondition_j
	  section.data(23).logicalSrcIdx = 85;
	  section.data(23).dtTransOffset = 22;
	
	  ;% enkodery_new2_P.C_Gain_j
	  section.data(24).logicalSrcIdx = 86;
	  section.data(24).dtTransOffset = 23;
	
	  ;% enkodery_new2_P.TSamp_WtEt_j
	  section.data(25).logicalSrcIdx = 87;
	  section.data(25).dtTransOffset = 24;
	
	  ;% enkodery_new2_P.D_Gain_o
	  section.data(26).logicalSrcIdx = 88;
	  section.data(26).dtTransOffset = 25;
	
	  ;% enkodery_new2_P.Delay_x_InitialCondition_i
	  section.data(27).logicalSrcIdx = 89;
	  section.data(27).dtTransOffset = 26;
	
	  ;% enkodery_new2_P.C_Gain_a
	  section.data(28).logicalSrcIdx = 90;
	  section.data(28).dtTransOffset = 27;
	
	  ;% enkodery_new2_P.Gain1_Gain
	  section.data(29).logicalSrcIdx = 91;
	  section.data(29).dtTransOffset = 28;
	
	  ;% enkodery_new2_P.TSamp_WtEt_it
	  section.data(30).logicalSrcIdx = 92;
	  section.data(30).dtTransOffset = 29;
	
	  ;% enkodery_new2_P.Poloha1_Gain
	  section.data(31).logicalSrcIdx = 93;
	  section.data(31).dtTransOffset = 30;
	
	  ;% enkodery_new2_P.TSamp_WtEt_p
	  section.data(32).logicalSrcIdx = 94;
	  section.data(32).dtTransOffset = 31;
	
	  ;% enkodery_new2_P.D_Gain_h
	  section.data(33).logicalSrcIdx = 95;
	  section.data(33).dtTransOffset = 32;
	
	  ;% enkodery_new2_P.Delay_x_InitialCondition_ip
	  section.data(34).logicalSrcIdx = 96;
	  section.data(34).dtTransOffset = 33;
	
	  ;% enkodery_new2_P.C_Gain_d
	  section.data(35).logicalSrcIdx = 97;
	  section.data(35).dtTransOffset = 34;
	
	  ;% enkodery_new2_P.D_Gain_l
	  section.data(36).logicalSrcIdx = 98;
	  section.data(36).dtTransOffset = 35;
	
	  ;% enkodery_new2_P.Delay_x_InitialCondition_b
	  section.data(37).logicalSrcIdx = 99;
	  section.data(37).dtTransOffset = 36;
	
	  ;% enkodery_new2_P.C_Gain_k
	  section.data(38).logicalSrcIdx = 100;
	  section.data(38).dtTransOffset = 37;
	
	  ;% enkodery_new2_P.Gain2_Gain
	  section.data(39).logicalSrcIdx = 101;
	  section.data(39).dtTransOffset = 38;
	
	  ;% enkodery_new2_P.A_Gain
	  section.data(40).logicalSrcIdx = 102;
	  section.data(40).dtTransOffset = 39;
	
	  ;% enkodery_new2_P.B_Gain
	  section.data(41).logicalSrcIdx = 103;
	  section.data(41).dtTransOffset = 40;
	
	  ;% enkodery_new2_P.A_Gain_c
	  section.data(42).logicalSrcIdx = 104;
	  section.data(42).dtTransOffset = 41;
	
	  ;% enkodery_new2_P.B_Gain_j
	  section.data(43).logicalSrcIdx = 105;
	  section.data(43).dtTransOffset = 42;
	
	  ;% enkodery_new2_P.A_Gain_f
	  section.data(44).logicalSrcIdx = 106;
	  section.data(44).dtTransOffset = 43;
	
	  ;% enkodery_new2_P.B_Gain_a
	  section.data(45).logicalSrcIdx = 107;
	  section.data(45).dtTransOffset = 44;
	
	  ;% enkodery_new2_P.A_Gain_n
	  section.data(46).logicalSrcIdx = 108;
	  section.data(46).dtTransOffset = 45;
	
	  ;% enkodery_new2_P.B_Gain_i
	  section.data(47).logicalSrcIdx = 109;
	  section.data(47).dtTransOffset = 46;
	
	  ;% enkodery_new2_P.A_Gain_a
	  section.data(48).logicalSrcIdx = 110;
	  section.data(48).dtTransOffset = 47;
	
	  ;% enkodery_new2_P.B_Gain_n
	  section.data(49).logicalSrcIdx = 111;
	  section.data(49).dtTransOffset = 48;
	
	  ;% enkodery_new2_P.A_Gain_ar
	  section.data(50).logicalSrcIdx = 112;
	  section.data(50).dtTransOffset = 49;
	
	  ;% enkodery_new2_P.B_Gain_o
	  section.data(51).logicalSrcIdx = 113;
	  section.data(51).dtTransOffset = 50;
	
      nTotData = nTotData + section.nData;
      paramMap.sections(3) = section;
      clear section
      
      section.nData     = 4;
      section.data(4)  = dumData; %prealloc
      
	  ;% enkodery_new2_P.ManualSwitch3_CurrentSetting
	  section.data(1).logicalSrcIdx = 114;
	  section.data(1).dtTransOffset = 0;
	
	  ;% enkodery_new2_P.ManualSwitch1_CurrentSetting
	  section.data(2).logicalSrcIdx = 115;
	  section.data(2).dtTransOffset = 1;
	
	  ;% enkodery_new2_P.ManualSwitch_CurrentSetting
	  section.data(3).logicalSrcIdx = 116;
	  section.data(3).dtTransOffset = 2;
	
	  ;% enkodery_new2_P.ManualSwitch2_CurrentSetting
	  section.data(4).logicalSrcIdx = 117;
	  section.data(4).dtTransOffset = 3;
	
      nTotData = nTotData + section.nData;
      paramMap.sections(4) = section;
      clear section
      
      section.nData     = 2;
      section.data(2)  = dumData; %prealloc
      
	  ;% enkodery_new2_P.Constant_Value_e
	  section.data(1).logicalSrcIdx = 118;
	  section.data(1).dtTransOffset = 0;
	
	  ;% enkodery_new2_P.Constant_Value_c
	  section.data(2).logicalSrcIdx = 119;
	  section.data(2).dtTransOffset = 1;
	
      nTotData = nTotData + section.nData;
      paramMap.sections(5) = section;
      clear section
      
    
      ;%
      ;% Non-auto Data (parameter)
      ;%
    

    ;%
    ;% Add final counts to struct.
    ;%
    paramMap.nTotData = nTotData;
    


  ;%**************************
  ;% Create Block Output Map *
  ;%**************************
      
    nTotData      = 0; %add to this count as we go
    nTotSects     = 2;
    sectIdxOffset = 0;
    
    ;%
    ;% Define dummy sections & preallocate arrays
    ;%
    dumSection.nData = -1;  
    dumSection.data  = [];
    
    dumData.logicalSrcIdx = -1;
    dumData.dtTransOffset = -1;
    
    ;%
    ;% Init/prealloc sigMap
    ;%
    sigMap.nSections           = nTotSects;
    sigMap.sectIdxOffset       = sectIdxOffset;
      sigMap.sections(nTotSects) = dumSection; %prealloc
    sigMap.nTotData            = -1;
    
    ;%
    ;% Auto data (enkodery_new2_B)
    ;%
      section.nData     = 35;
      section.data(35)  = dumData; %prealloc
      
	  ;% enkodery_new2_B.Fcn1
	  section.data(1).logicalSrcIdx = 0;
	  section.data(1).dtTransOffset = 0;
	
	  ;% enkodery_new2_B.ManualSwitch3
	  section.data(2).logicalSrcIdx = 1;
	  section.data(2).dtTransOffset = 1;
	
	  ;% enkodery_new2_B.Constant2
	  section.data(3).logicalSrcIdx = 2;
	  section.data(3).dtTransOffset = 2;
	
	  ;% enkodery_new2_B.ProportionalGain
	  section.data(4).logicalSrcIdx = 3;
	  section.data(4).dtTransOffset = 3;
	
	  ;% enkodery_new2_B.DerivativeGain
	  section.data(5).logicalSrcIdx = 4;
	  section.data(5).dtTransOffset = 4;
	
	  ;% enkodery_new2_B.FilterCoefficient
	  section.data(6).logicalSrcIdx = 5;
	  section.data(6).dtTransOffset = 5;
	
	  ;% enkodery_new2_B.Poloha
	  section.data(7).logicalSrcIdx = 6;
	  section.data(7).dtTransOffset = 6;
	
	  ;% enkodery_new2_B.ManualSwitch
	  section.data(8).logicalSrcIdx = 7;
	  section.data(8).dtTransOffset = 7;
	
	  ;% enkodery_new2_B.ManualSwitch2
	  section.data(9).logicalSrcIdx = 8;
	  section.data(9).dtTransOffset = 8;
	
	  ;% enkodery_new2_B.Abs
	  section.data(10).logicalSrcIdx = 9;
	  section.data(10).dtTransOffset = 9;
	
	  ;% enkodery_new2_B.helvychlenkyvadla
	  section.data(11).logicalSrcIdx = 10;
	  section.data(11).dtTransOffset = 10;
	
	  ;% enkodery_new2_B.TSamp
	  section.data(12).logicalSrcIdx = 11;
	  section.data(12).dtTransOffset = 11;
	
	  ;% enkodery_new2_B.yk
	  section.data(13).logicalSrcIdx = 12;
	  section.data(13).dtTransOffset = 12;
	
	  ;% enkodery_new2_B.helvychlenkyvadla1
	  section.data(14).logicalSrcIdx = 13;
	  section.data(14).dtTransOffset = 13;
	
	  ;% enkodery_new2_B.TSamp_k
	  section.data(15).logicalSrcIdx = 14;
	  section.data(15).dtTransOffset = 14;
	
	  ;% enkodery_new2_B.yk_c
	  section.data(16).logicalSrcIdx = 15;
	  section.data(16).dtTransOffset = 15;
	
	  ;% enkodery_new2_B.Fcn2
	  section.data(17).logicalSrcIdx = 16;
	  section.data(17).dtTransOffset = 16;
	
	  ;% enkodery_new2_B.TSamp_i
	  section.data(18).logicalSrcIdx = 17;
	  section.data(18).dtTransOffset = 17;
	
	  ;% enkodery_new2_B.yk_e
	  section.data(19).logicalSrcIdx = 18;
	  section.data(19).dtTransOffset = 18;
	
	  ;% enkodery_new2_B.Gain1
	  section.data(20).logicalSrcIdx = 19;
	  section.data(20).dtTransOffset = 19;
	
	  ;% enkodery_new2_B.TSamp_ii
	  section.data(21).logicalSrcIdx = 20;
	  section.data(21).dtTransOffset = 20;
	
	  ;% enkodery_new2_B.Diff
	  section.data(22).logicalSrcIdx = 21;
	  section.data(22).dtTransOffset = 21;
	
	  ;% enkodery_new2_B.Poloha1
	  section.data(23).logicalSrcIdx = 22;
	  section.data(23).dtTransOffset = 22;
	
	  ;% enkodery_new2_B.TSamp_j
	  section.data(24).logicalSrcIdx = 23;
	  section.data(24).dtTransOffset = 23;
	
	  ;% enkodery_new2_B.Diff_i
	  section.data(25).logicalSrcIdx = 24;
	  section.data(25).dtTransOffset = 24;
	
	  ;% enkodery_new2_B.yk_k
	  section.data(26).logicalSrcIdx = 25;
	  section.data(26).dtTransOffset = 25;
	
	  ;% enkodery_new2_B.yk_d
	  section.data(27).logicalSrcIdx = 26;
	  section.data(27).dtTransOffset = 26;
	
	  ;% enkodery_new2_B.Gain2
	  section.data(28).logicalSrcIdx = 27;
	  section.data(28).dtTransOffset = 27;
	
	  ;% enkodery_new2_B.xk1
	  section.data(29).logicalSrcIdx = 28;
	  section.data(29).dtTransOffset = 28;
	
	  ;% enkodery_new2_B.xk1_b
	  section.data(30).logicalSrcIdx = 29;
	  section.data(30).dtTransOffset = 29;
	
	  ;% enkodery_new2_B.xk1_n
	  section.data(31).logicalSrcIdx = 30;
	  section.data(31).dtTransOffset = 30;
	
	  ;% enkodery_new2_B.xk1_f
	  section.data(32).logicalSrcIdx = 31;
	  section.data(32).dtTransOffset = 31;
	
	  ;% enkodery_new2_B.xk1_m
	  section.data(33).logicalSrcIdx = 32;
	  section.data(33).dtTransOffset = 32;
	
	  ;% enkodery_new2_B.xk1_l
	  section.data(34).logicalSrcIdx = 33;
	  section.data(34).dtTransOffset = 33;
	
	  ;% enkodery_new2_B.IntegralGain
	  section.data(35).logicalSrcIdx = 34;
	  section.data(35).dtTransOffset = 34;
	
      nTotData = nTotData + section.nData;
      sigMap.sections(1) = section;
      clear section
      
      section.nData     = 5;
      section.data(5)  = dumData; %prealloc
      
	  ;% enkodery_new2_B.Compare
	  section.data(1).logicalSrcIdx = 35;
	  section.data(1).dtTransOffset = 0;
	
	  ;% enkodery_new2_B.Compare_l
	  section.data(2).logicalSrcIdx = 36;
	  section.data(2).dtTransOffset = 1;
	
	  ;% enkodery_new2_B.Compare_n
	  section.data(3).logicalSrcIdx = 37;
	  section.data(3).dtTransOffset = 2;
	
	  ;% enkodery_new2_B.Compare_k
	  section.data(4).logicalSrcIdx = 38;
	  section.data(4).dtTransOffset = 3;
	
	  ;% enkodery_new2_B.Compare_a
	  section.data(5).logicalSrcIdx = 39;
	  section.data(5).dtTransOffset = 4;
	
      nTotData = nTotData + section.nData;
      sigMap.sections(2) = section;
      clear section
      
    
      ;%
      ;% Non-auto Data (signal)
      ;%
    

    ;%
    ;% Add final counts to struct.
    ;%
    sigMap.nTotData = nTotData;
    


  ;%*******************
  ;% Create DWork Map *
  ;%*******************
      
    nTotData      = 0; %add to this count as we go
    nTotSects     = 2;
    sectIdxOffset = 2;
    
    ;%
    ;% Define dummy sections & preallocate arrays
    ;%
    dumSection.nData = -1;  
    dumSection.data  = [];
    
    dumData.logicalSrcIdx = -1;
    dumData.dtTransOffset = -1;
    
    ;%
    ;% Init/prealloc dworkMap
    ;%
    dworkMap.nSections           = nTotSects;
    dworkMap.sectIdxOffset       = sectIdxOffset;
      dworkMap.sections(nTotSects) = dumSection; %prealloc
    dworkMap.nTotData            = -1;
    
    ;%
    ;% Auto data (enkodery_new2_DW)
    ;%
      section.nData     = 11;
      section.data(11)  = dumData; %prealloc
      
	  ;% enkodery_new2_DW.Delay_x_DSTATE
	  section.data(1).logicalSrcIdx = 0;
	  section.data(1).dtTransOffset = 0;
	
	  ;% enkodery_new2_DW.UD_DSTATE
	  section.data(2).logicalSrcIdx = 1;
	  section.data(2).dtTransOffset = 1;
	
	  ;% enkodery_new2_DW.Delay_x_DSTATE_k
	  section.data(3).logicalSrcIdx = 2;
	  section.data(3).dtTransOffset = 2;
	
	  ;% enkodery_new2_DW.UD_DSTATE_i
	  section.data(4).logicalSrcIdx = 3;
	  section.data(4).dtTransOffset = 3;
	
	  ;% enkodery_new2_DW.Delay_x_DSTATE_o
	  section.data(5).logicalSrcIdx = 4;
	  section.data(5).dtTransOffset = 4;
	
	  ;% enkodery_new2_DW.UD_DSTATE_g
	  section.data(6).logicalSrcIdx = 5;
	  section.data(6).dtTransOffset = 5;
	
	  ;% enkodery_new2_DW.Delay_x_DSTATE_e
	  section.data(7).logicalSrcIdx = 6;
	  section.data(7).dtTransOffset = 6;
	
	  ;% enkodery_new2_DW.UD_DSTATE_m
	  section.data(8).logicalSrcIdx = 7;
	  section.data(8).dtTransOffset = 7;
	
	  ;% enkodery_new2_DW.UD_DSTATE_gm
	  section.data(9).logicalSrcIdx = 8;
	  section.data(9).dtTransOffset = 8;
	
	  ;% enkodery_new2_DW.Delay_x_DSTATE_p
	  section.data(10).logicalSrcIdx = 9;
	  section.data(10).dtTransOffset = 9;
	
	  ;% enkodery_new2_DW.Delay_x_DSTATE_n
	  section.data(11).logicalSrcIdx = 10;
	  section.data(11).dtTransOffset = 10;
	
      nTotData = nTotData + section.nData;
      dworkMap.sections(1) = section;
      clear section
      
      section.nData     = 31;
      section.data(31)  = dumData; %prealloc
      
	  ;% enkodery_new2_DW.AnalogInput1_PWORK
	  section.data(1).logicalSrcIdx = 11;
	  section.data(1).dtTransOffset = 0;
	
	  ;% enkodery_new2_DW.Motor_PWORK
	  section.data(2).logicalSrcIdx = 12;
	  section.data(2).dtTransOffset = 1;
	
	  ;% enkodery_new2_DW.Kyvadlo1_PWORK
	  section.data(3).logicalSrcIdx = 13;
	  section.data(3).dtTransOffset = 2;
	
	  ;% enkodery_new2_DW.Kyvadlo2_PWORK
	  section.data(4).logicalSrcIdx = 14;
	  section.data(4).dtTransOffset = 3;
	
	  ;% enkodery_new2_DW.AnalogInput_PWORK
	  section.data(5).logicalSrcIdx = 15;
	  section.data(5).dtTransOffset = 4;
	
	  ;% enkodery_new2_DW.DigitalInput_PWORK
	  section.data(6).logicalSrcIdx = 16;
	  section.data(6).dtTransOffset = 5;
	
	  ;% enkodery_new2_DW.DigitalInput1_PWORK
	  section.data(7).logicalSrcIdx = 17;
	  section.data(7).dtTransOffset = 6;
	
	  ;% enkodery_new2_DW.BRAKE_PWORK
	  section.data(8).logicalSrcIdx = 18;
	  section.data(8).dtTransOffset = 7;
	
	  ;% enkodery_new2_DW.DIR_PWORK
	  section.data(9).logicalSrcIdx = 19;
	  section.data(9).dtTransOffset = 8;
	
	  ;% enkodery_new2_DW.PWM_PWORK
	  section.data(10).logicalSrcIdx = 20;
	  section.data(10).dtTransOffset = 9;
	
	  ;% enkodery_new2_DW.Armscope_PWORK.LoggedData
	  section.data(11).logicalSrcIdx = 21;
	  section.data(11).dtTransOffset = 10;
	
	  ;% enkodery_new2_DW.Armscope1_PWORK.LoggedData
	  section.data(12).logicalSrcIdx = 22;
	  section.data(12).dtTransOffset = 11;
	
	  ;% enkodery_new2_DW.Arm2scope_PWORK.LoggedData
	  section.data(13).logicalSrcIdx = 23;
	  section.data(13).dtTransOffset = 12;
	
	  ;% enkodery_new2_DW.Arm2scope1_PWORK.LoggedData
	  section.data(14).logicalSrcIdx = 24;
	  section.data(14).dtTransOffset = 13;
	
	  ;% enkodery_new2_DW.Arm2scope3_PWORK.LoggedData
	  section.data(15).logicalSrcIdx = 25;
	  section.data(15).dtTransOffset = 14;
	
	  ;% enkodery_new2_DW.Arm2scope4_PWORK.LoggedData
	  section.data(16).logicalSrcIdx = 26;
	  section.data(16).dtTransOffset = 15;
	
	  ;% enkodery_new2_DW.Cartscope_PWORK.LoggedData
	  section.data(17).logicalSrcIdx = 27;
	  section.data(17).dtTransOffset = 16;
	
	  ;% enkodery_new2_DW.Cartscope1_PWORK.LoggedData
	  section.data(18).logicalSrcIdx = 28;
	  section.data(18).dtTransOffset = 17;
	
	  ;% enkodery_new2_DW.Cartscope2_PWORK.LoggedData
	  section.data(19).logicalSrcIdx = 29;
	  section.data(19).dtTransOffset = 20;
	
	  ;% enkodery_new2_DW.Cartscope3_PWORK.LoggedData
	  section.data(20).logicalSrcIdx = 30;
	  section.data(20).dtTransOffset = 22;
	
	  ;% enkodery_new2_DW.Cartscope4_PWORK.LoggedData
	  section.data(21).logicalSrcIdx = 31;
	  section.data(21).dtTransOffset = 23;
	
	  ;% enkodery_new2_DW.Cartscope5_PWORK.LoggedData
	  section.data(22).logicalSrcIdx = 32;
	  section.data(22).dtTransOffset = 26;
	
	  ;% enkodery_new2_DW.Cartscope6_PWORK.LoggedData
	  section.data(23).logicalSrcIdx = 33;
	  section.data(23).dtTransOffset = 29;
	
	  ;% enkodery_new2_DW.Cartscope7_PWORK.LoggedData
	  section.data(24).logicalSrcIdx = 34;
	  section.data(24).dtTransOffset = 32;
	
	  ;% enkodery_new2_DW.Cartscope8_PWORK.LoggedData
	  section.data(25).logicalSrcIdx = 35;
	  section.data(25).dtTransOffset = 34;
	
	  ;% enkodery_new2_DW.Cartscope9_PWORK.LoggedData
	  section.data(26).logicalSrcIdx = 36;
	  section.data(26).dtTransOffset = 36;
	
	  ;% enkodery_new2_DW.Currentscope_PWORK.LoggedData
	  section.data(27).logicalSrcIdx = 37;
	  section.data(27).dtTransOffset = 38;
	
	  ;% enkodery_new2_DW.CurrentRCscope_PWORK.LoggedData
	  section.data(28).logicalSrcIdx = 38;
	  section.data(28).dtTransOffset = 39;
	
	  ;% enkodery_new2_DW.Scope_PWORK.LoggedData
	  section.data(29).logicalSrcIdx = 39;
	  section.data(29).dtTransOffset = 40;
	
	  ;% enkodery_new2_DW.Scope1_PWORK.LoggedData
	  section.data(30).logicalSrcIdx = 40;
	  section.data(30).dtTransOffset = 44;
	
	  ;% enkodery_new2_DW.Scope2_PWORK.LoggedData
	  section.data(31).logicalSrcIdx = 41;
	  section.data(31).dtTransOffset = 45;
	
      nTotData = nTotData + section.nData;
      dworkMap.sections(2) = section;
      clear section
      
    
      ;%
      ;% Non-auto Data (dwork)
      ;%
    

    ;%
    ;% Add final counts to struct.
    ;%
    dworkMap.nTotData = nTotData;
    


  ;%
  ;% Add individual maps to base struct.
  ;%

  targMap.paramMap  = paramMap;    
  targMap.signalMap = sigMap;
  targMap.dworkMap  = dworkMap;
  
  ;%
  ;% Add checksums to base struct.
  ;%


  targMap.checksum0 = 951661141;
  targMap.checksum1 = 2803132232;
  targMap.checksum2 = 3988897231;
  targMap.checksum3 = 221167092;

